CRYPTO_BLKCIPHER_IVS(9)

NAME
crypto_blkcipher_ivsize - obtain IV size

SYNOPSIS

unsigned int crypto_blkcipher_ivsize(struct crypto_blkcipher * tfm);

ARGUMENTS

tfm
    cipher handle

DESCRIPTION

The size of the IV for the block cipher referenced by the cipher handle is returned. This IV size may be zero if the cipher does not need an IV.

RETURN

IV size in bytes

AUTHORS

Stephan Mueller <smueller@chronox.de>
    Author.

Marek Vasut <marek@denx.de>
    Author.

COPYRIGHT